package sun.misc;

import java.nio.Buffer;
import java.nio.ByteBuffer;

public interface JavaNioAccess
{
    public abstract JavaNioAccess.BufferPool getDirectBufferPool();
    
    public abstract ByteBuffer newDirectByteBuffer(long p0, int p1, Object p2);
    
    public abstract void truncate(Buffer p0);
    
    public interface BufferPool
    {
        public abstract String getName();
        
        public abstract long getCount();
        
        public abstract long getTotalCapacity();
        
        public abstract long getMemoryUsed();
    }
}
